# Active or non-active icons ###
# Column 1: Influence Nation
# PP for Influence
defined_text = {
	name = select_influence_action_button

	text = {
		trigger = {
			OR = {
				AND = {
					ROOT = { has_political_power > 50 }
					# Recently Sent Aid
					custom_trigger_tooltip = {
						tooltip = influence_spread_influence_TT
						ROOT = { NOT = { has_country_flag = spread_influence@PREV } }
					}
				}

			}
		}
		localization_key = "GFX_influence_action_button"
	}
	text = {
		localization_key = "GFX_influence_action_button_inactive"
	}
}


#Economic Aid/Military Aid
defined_text = {
	name = select_aid_button

	text = {
		trigger = {
			#our country is a top 7 influencer
			is_influencer = yes
			#selected country has lower GDP/C than us
			custom_trigger_tooltip = {
				tooltip = gdp_greater_than_other
				check_variable = { gdp_per_capita < ROOT.gdp_per_capita }
			}
			#Num of Civ Greater
			custom_trigger_tooltip = {
				tooltip = more_civs_than_other
				check_variable = { num_of_civilian_factories < ROOT.num_of_civilian_factories }
			}
			#Recently Sent Aid
			custom_trigger_tooltip = {
				tooltip = influence_aid_button_TT
				ROOT = { NOT = { has_country_flag = recently_sent_aid@PREV } }
			}
		}
		localization_key = "GFX_aid_button"
	}
	text = {
		localization_key = "GFX_aid_button_inactive"
	}
}

#Target Other
defined_text = {
	name = select_target_other_button

	text = {
		trigger = {
			custom_trigger_tooltip = {
				tooltip = is_top_three_influencer_tt
				OR = {
					check_variable = { influence_array^0 = ROOT }
					check_variable = { influence_array^1 = ROOT }
					check_variable = { influence_array^2 = ROOT }
				}
			}
			ROOT = { has_political_power > 99 }
		}
		localization_key = "GFX_target_other_button"
	}
	text = {
		localization_key = "GFX_target_other_button_inactive"
	}
}

defined_text = {
	name = select_aid_military_button

	text = {
		trigger = {
			#Our Country is a top 7 influencer
			is_influencer = yes
			#ROOT has_war
			PREV = {
				OR = {
					has_civil_war = yes
					has_war = yes
					hidden_trigger = {
						has_country_flag = ai_yes_unit_build
					}
					has_country_flag = AI_is_threatened
					threat > 0.50
				}
			}
			#ROOT has_idea = defense_industry
			OR = {
				ROOT = { has_idea = defense_industry }
				ROOT = { num_of_military_factories > 10 }
			}
			#ROOT Has NOT Sent military aid in the past month
			custom_trigger_tooltip = {
				tooltip = influence_military_aid_TT
				ROOT = { NOT = { has_country_flag = recently_sent_military_aid@PREV } }
			}
		}
		localization_key = "GFX_aid_military_button"
	}
	text = {
		localization_key = "GFX_aid_military_button_inactive"
	}
}

#Column 2:
defined_text = {
   name = select_manipulate_politics_button

	text = {
		trigger = {
			is_top3_twenty_influencer = yes
		}
		localization_key = "GFX_manipulate_politics_button"
	}
	text = {
		localization_key = "GFX_manipulate_politics_button_inactive"
	}
}

defined_text = {
   name = select_coup_button

	text = {
		trigger = {
			PREV = {
				NOT = { is_same_government = yes }
				NOT = { is_subject_of = ROOT }
			}
			ROOT = { has_political_power > 200 }
			is_top3_thirty_influencer = yes
		}
		localization_key = "GFX_stage_coup_button"
	}
	text = {
		localization_key = "GFX_stage_coup_button_inactive"
	}
}

defined_text = {
	name = select_economic_exploitation_button

	text = {
		trigger = {
			custom_trigger_tooltip = {
				tooltip = is_top_influencer_fifty_percent
				check_variable = { influence_array^0 = ROOT }
				check_variable = { influence_array_val^0 > 49.999 }
			}
			NOT = { is_subject_of = ROOT }
			ROOT = { has_political_power > 150 }
			#Not twice
			NOT = { has_country_flag = country_exploited }
	   }
	   localization_key = "GFX_economic_exploitation_button"
	}
	text = {
		localization_key = "GFX_economic_exploitation_button_inactive"
	}
}

defined_text = {
   name = select_make_puppet_button

	text = {
		trigger = {
			check_variable = { influence_array^0 = ROOT }
			check_variable = { influence_array_val^0 > 79.999 } #80%
			is_same_government = yes
			NOT = { is_subject_of = ROOT }
			NOT = { has_war = yes }
			is_subject = no
		}
		localization_key = "GFX_make_puppet_button"
	}
	text = {
		localization_key = "GFX_make_puppet_button_inactive"
	}
}

defined_text = {
	name = new_position_1
	text = {
		trigger = {
			has_variable = influence_array^0
		}
		localization_key = "[?var:influence_array^0.GetFlag] [?var:influence_array^0.GetName]"
	}
	text = {
	   localization_key = ""
	}
}
defined_text = {
	name = new_position_2
	text = {
		trigger = {
			has_variable = influence_array^1
		}
		localization_key = "[?var:influence_array^1.GetFlag] [?var:influence_array^1.GetName]"
	}
	text = {
	   localization_key = ""
	}
}
defined_text = {
	name = new_position_3
	text = {
		trigger = {
			has_variable = influence_array^2
		}
		localization_key = "[?var:influence_array^2.GetFlag] [?var:influence_array^2.GetName]"
	}
	text = {
	   localization_key = ""
	}
}
defined_text = {
	name = new_position_4
	text = {
		trigger = {
			has_variable = influence_array^3
		}
		localization_key = "[?var:influence_array^3.GetFlag] [?var:influence_array^3.GetName]"
	}
	text = {
	   localization_key = ""
	}
}
defined_text = {
	name = new_position_5
	text = {
		trigger = {
			has_variable = influence_array^4
		}
		localization_key = "[?var:influence_array^4.GetFlag] [?var:influence_array^4.GetName]"
	}
	text = {
	   localization_key = ""
	}
}
defined_text = {
	name = new_position_6
	text = {
		trigger = {
			has_variable = influence_array^5
		}
		localization_key = "[?var:influence_array^5.GetFlag] [?var:influence_array^5.GetName]"
	}
	text = {
	   localization_key = ""
	}
}
defined_text = {
	name = new_position_7
	text = {
		trigger = {
			has_variable = influence_array^6
		}
		localization_key = "[?var:influence_array^6.GetFlag] [?var:influence_array^6.GetName]"
	}
	text = {
	   localization_key = ""
	}
}

# Influence Amount Display
defined_text = {
	name = position_1_var_integer

	text = { trigger = { has_variable = influence_array^0 }
	   localization_key = "[?influence_array_val^0|Y%%]"
	}
	text = {
	   localization_key = ""
	}
}

defined_text = {
	name = position_2_var_integer

	text = { trigger = { has_variable = influence_array^1 }
	   localization_key = "[?influence_array_val^1|Y%%]"
	}
	text = {
	   localization_key = ""
	}
}

defined_text = {
	name = position_3_var_integer

	text = { trigger = { has_variable = influence_array^2 }
	   localization_key = "[?influence_array_val^2|Y%%]"
	}
	text = {
	   localization_key = ""
	}
}

defined_text = {
	name = position_4_var_integer

	text = { trigger = { has_variable = influence_array^3 }
	   localization_key = "[?influence_array_val^3|Y%%]"
	}
	text = {
	   localization_key = ""
	}
}

defined_text = {
	name = position_5_var_integer

	text = { trigger = { has_variable = influence_array^4 }
	   localization_key = "[?influence_array_val^4|Y%%]"
	}
	text = {
	   localization_key = ""
	}
}

defined_text = {
	name = position_6_var_integer

	text = { trigger = { has_variable = influence_array^5 }
	   localization_key = "[?influence_array_val^5|Y%%]"
	}
	text = {
	   localization_key = ""
	}
}

defined_text = {
	name = position_7_var_integer

	text = { trigger = { has_variable = influence_array^6 }
	   localization_key = "[?influence_array_val^6|Y%%]"
	}
	text = {
	   localization_key = ""
	}
}

### Pole pos:
defined_text = {
	name = position_1_var_n

	text = { trigger = { has_variable = influence_array^0 }
	   localization_key = 1_pos_diplo
	}
	text = {
	   localization_key = ""
	}
}

defined_text = {
	name = position_2_var_n

	text = { trigger = { has_variable = influence_array^1 }
	   localization_key = 2_pos_diplo
	}
	text = {
	   localization_key = ""
	}
}

defined_text = {
	name = position_3_var_n

	text = { trigger = { has_variable = influence_array^2 }
	   localization_key = 3_pos_diplo
	}
	text = {
	   localization_key = ""
	}
}

defined_text = {
	name = position_4_var_n

	text = { trigger = { has_variable = influence_array^3 }
	   localization_key = 4_pos_diplo
	}
	text = {
	   localization_key = ""
	}
}

defined_text = {
	name = position_5_var_n

	text = { trigger = { has_variable = influence_array^4 }
	   localization_key = 5_pos_diplo
	}
	text = {
	   localization_key = ""
	}
}

defined_text = {
	name = position_6_var_n

	text = { trigger = { has_variable = influence_array^5 }
	   localization_key = 6_pos_diplo
	}
	text = {
	   localization_key = ""
	}
}

defined_text = {
	name = position_7_var_n

	text = { trigger = { has_variable = influence_array^6 }
	   localization_key = 7_pos_diplo
	}
	text = {
	   localization_key = ""
	}
}

defined_text = {
	name = spread_influence_cooldown_limits
	text = {
		trigger = {
			has_global_flag = GAME_RULE_spread_influence_14_days
		}
		localization_key = spread_influence_14_days_tooltip
	}
	text = {
		trigger = {
			has_global_flag = GAME_RULE_spread_influence_30_days
		}
		localization_key = spread_influence_30_days_tooltip
	}
	text = {
		trigger = {
			has_global_flag = GAME_RULE_spread_influence_60_days
		}
		localization_key = spread_influence_60_days_tooltip
	}
	text = {
		localization_key = ""
	}
}

defined_text = {
	name = spread_influence_percent_change
	text = {
		trigger = {
			has_global_flag = GAME_RULE_gain_4_percent_spread
		}
		localization_key = spread_influence_4_percent_change
	}
	text = {
		trigger = {
			has_global_flag = GAME_RULE_gain_0_5_percent_spread
		}
		localization_key = spread_influence_0_5_percent_change
	}
	text = {
		trigger = {
			has_global_flag = GAME_RULE_gain_3_percent_spread
		}
		localization_key = spread_influence_3_percent_change
	}
	text = {
		localization_key = spread_influence_2_percent_change
	}
}


# Display Values
defined_text = {
	name = auto_influence_nation_0
	text = {
		trigger = {
			NOT = { check_variable = { auto_influence_array^0 = 0 } }
		}
		localization_key = auto_influence_nation_0_tt
	}
	text = {
		localization_key = ""
	}
}

defined_text = {
	name = auto_influence_nation_1
	text = {
		trigger = {
			NOT = { check_variable = { auto_influence_array^1 = 0 } }
		}
		localization_key = auto_influence_nation_1_tt
	}
	text = {
		localization_key = ""
	}
}

defined_text = {
	name = auto_influence_nation_2
	text = {
		trigger = {
			NOT = { check_variable = { auto_influence_array^2 = 0 } }
		}
		localization_key = auto_influence_nation_2_tt
	}
	text = {
		localization_key = ""
	}
}

defined_text = {
	name = auto_influence_nation_3
	text = {
		trigger = {
			NOT = { check_variable = { auto_influence_array^3 = 0 } }
		}
		localization_key = auto_influence_nation_3_tt
	}
	text = {
		localization_key = ""
	}
}

defined_text = {
	name = auto_influence_nation_4
	text = {
		trigger = {
			NOT = { check_variable = { auto_influence_array^4 = 0 } }
		}
		localization_key = auto_influence_nation_4_tt
	}
	text = {
		localization_key = ""
	}
}

defined_text = {
	name = auto_influence_nation_5
	text = {
		trigger = {
			NOT = { check_variable = { auto_influence_array^5 = 0 } }
		}
		localization_key = auto_influence_nation_5_tt
	}
	text = {
		localization_key = ""
	}
}

defined_text = {
	name = auto_influence_nation_6
	text = {
		trigger = {
			NOT = { check_variable = { auto_influence_array^6 = 0 } }
		}
		localization_key = auto_influence_nation_6_tt
	}
	text = {
		localization_key = ""
	}
}

defined_text = {
	name = auto_influence_nation_7
	text = {
		trigger = {
			NOT = { check_variable = { auto_influence_array^7 = 0 } }
		}
		localization_key = auto_influence_nation_7_tt
	}
	text = {
		localization_key = ""
	}
}

defined_text = {
	name = auto_influence_nation_8
	text = {
		trigger = {
			NOT = { check_variable = { auto_influence_array^8 = 0 } }
		}
		localization_key = auto_influence_nation_8_tt
	}
	text = {
		localization_key = ""
	}
}

defined_text = {
	name = auto_influence_nation_9
	text = {
		trigger = {
			NOT = { check_variable = { auto_influence_array^9 = 0 } }
		}
		localization_key = auto_influence_nation_9_tt
	}
	text = {
		localization_key = ""
	}
}
